
Foreman - Bug #33469

TFTP Unable to download Flatcar OS

09/13/2021 10:18 AM - ASOM Net

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: TFTP   

Target version:    

Difficulty:  Fixed in Releases: 3.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8777

  

Description

Hi

I can't get foreman to download Flatcar since the download URL is wrong

I want to use "current" as Major Version, but it requires a number and max 5 characters.

Flatcar uses longer numbers and wants you to use "current" as default version, I tried with just putting "1" in but got this error

2021-09-13T11:52:51 8422632b [I] Started POST /tftp/fetch_boot_file

2021-09-13T11:52:51 8422632b [I] Finished POST /tftp/fetch_boot_file with 200 (0.94 ms)

2021-09-13T11:52:51 8422632b [I] [4017770] Started task ["/usr/bin/wget", "--connect-timeout=10", 

"--dns-timeout=10", "--read-timeout=60", "--tries=3", "--no-check-certificate", "-nv", "-c", "http

://stable.release.flatcar-linux.net/amd64-usr/1/flatcar_production_pxe_image.cpio.gz", "-O", "/var

/lib/tftpboot/boot/flatcar-mirror-b9cf0j4aWvIS-flatcar_production_pxe_image.cpio.gz"]

2021-09-13T11:52:51 8422632b [W] [4017770] http://stable.release.flatcar-linux.net/amd64-usr/1/fla

tcar_production_pxe_image.cpio.gz:

2021-09-13T11:52:51 8422632b [W] [4017770] 2021-09-13 11:52:51 ERROR 404: Not Found.

 This is the corret download url

https://stable.release.flatcar-linux.net/amd64-usr/current/

but Foreman uses this one

https://stable.release.flatcar-linux.net/amd64-usr/[$version]/

https://projects.theforeman.org/projects/foreman/repository/revisions/develop/entry/app/models/operatingsystems/coreos.rb

Associated revisions

Revision 0eaa01ad - 10/05/2021 08:24 PM - Lukas Zapletal

Fixes #33469 - current stream for Flatcar

History

#1 - 09/14/2021 08:37 AM - Lukas Zapletal

I am creating a small patch that will allow to enter 0.0 version that will render the URL to "current". Try it out and get back to me in the github PR,

cheers!

#2 - 09/14/2021 08:39 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Lukas Zapletal

- Pull request https://github.com/theforeman/foreman/pull/8777 added
https://stable.release.flatcar-linux.net/amd64-usr/current/
https://stable.release.flatcar-linux.net/amd64-usr/[$version]/
https://projects.theforeman.org/projects/foreman/repository/revisions/develop/entry/app/models/operatingsystems/coreos.rb


#3 - 10/05/2021 08:24 PM - The Foreman Bot

- Fixed in Releases 3.1.0 added

#4 - 10/05/2021 09:01 PM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|0eaa01ad84fb433619889dda42171c5b36abb7fd.
